Author Topic: Gnome Policykit changed again  (Read 678 times)

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1582
    • SparkyLinux
Gnome Policykit changed again
« on: January 25, 2017, 09:49:01 pm »
As I posted somewhere about changing the Gnome policykit patch before, it happend again.
It means, Debian devs revert the patch back to the old one.

So, if you use tiny window managers, installed via Sparky APTus-> Desktop tool, or via Sparky minimal iso - you should change the policykit command, stored in the wm startup script, from:
Code: [Select]
/usr/lib/polkit-gnome-authentication-agent-1to:
Code: [Select]
/usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1It happens in the mw's: awesome, bspwm, enlightenment, fluxbox, i3, icewm, jwm, openbox, pekwm, trinity, windowmaker.

Otherwise, upgrade your system and re-run APTus-> Desktop-> your desktop icon to make it easy.
« Last Edit: January 25, 2017, 09:56:26 pm by pavroo »
Nothing is easy as it looks.
Danielle Steel

Offline balloon

  • Newbie
  • *
  • Posts: 31
  • Japanese User
Re: Gnome Policykit changed again
« Reply #1 on: January 26, 2017, 03:22:40 am »
BALLOON a.k.a. Fu-sen. (ふうせん Fu-sen.) in Japan

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1582
    • SparkyLinux
Re: Gnome Policykit changed again
« Reply #2 on: January 28, 2017, 04:02:22 pm »
To avoid similar problems in the feature, I created a small tool called 'sparky-polkit'.
It uses Gnome Policykit or Lxpolkit to provide the authentication agent to tiny window managers supported by Sparky.
It also let me fix any similar problem in the future, without the end users manual fixing, by a regular update channel.

It also doesn't make conflict with a default's desktop environment polkit. For example, if you have a few desktops installed, such as Xfce,  LXDE, GNOME, etc. and a window managers such as: Openbox, Fluxbox, JWM, etc., my script check is a polkit backend running or not.
If yes - just quit.
if no - runs Gnome Policykit or LXpolkit, depends what is installed.

It's coming to repos now.   
« Last Edit: January 28, 2017, 04:06:06 pm by pavroo »
Nothing is easy as it looks.
Danielle Steel